Page MenuHomePhabricator

Allow switching between editors with changes on mobile
Closed, ResolvedPublic8 Estimated Story Points

Description

Get rid of the "You must save your edit before switching to another editing mode." alert and make it just work. All the code already exists for this in mw.ArticleTarget with use in mw.DesktopArticleTarget; we "merely" need to hook it up in mw.MobileArticleTarget.

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 29 2016, 11:22 PM
AlexMonk-WMF renamed this task from Allow switching between edits with edits on mobile to Allow switching between editors with edits on mobile.Feb 29 2016, 11:22 PM
AlexMonk-WMF renamed this task from Allow switching between editors with edits on mobile to Allow switching between editors with changes on mobile.
Jdforrester-WMF renamed this task from Allow switching between editors with changes on mobile to Allow switching between editors with edits on mobile.Feb 29 2016, 11:22 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 8.
AlexMonk-WMF renamed this task from Allow switching between editors with edits on mobile to Allow switching between editors with changes on mobile.Feb 29 2016, 11:23 PM
Jdforrester-WMF moved this task from To Triage to Epics on the VisualEditor board.Mar 1 2016, 12:45 AM

A description would be helpful, thanks!

Deskana lowered the priority of this task from Medium to Low.Aug 31 2018, 10:46 AM
Deskana moved this task from Epics to Freezer on the VisualEditor board.Aug 31 2018, 10:47 AM
iamjessklein raised the priority of this task from Low to High.Mar 4 2019, 3:13 PM
JTannerWMF added subscribers: iamjessklein, JTannerWMF.

@iamjessklein mentioned this is something to consider for future work in relation to T209955

This repeatedly came up as problematic for testers performing Section Editing user testing T209986
Here's what it looks like:

  • An editor starts editing in Visual Editing mode
  • They want to check what it looks like in source (having the mindset that they can seamlessly switch back and forth between modes)
  • They click into source mode
  • They are prompted to save (publish) their in-progress edit

Esanders claimed this task.Apr 3 2019, 2:47 PM

NB that when switching from visual section editing to source mode we will have to fall back to full document mode, as changes to a visual section can potentially modify other parts of the document (e.g. deleting a reference could cause it's contents to be moved to another section).

Change 500981 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] Allow a data promise to be passed to wikitext editor

https://gerrit.wikimedia.org/r/500981

Change 500982 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Allow switching from mobile visual to mobile source mode with data

https://gerrit.wikimedia.org/r/500982

Esanders added a comment.EditedApr 4 2019, 1:55 PM

NB that switching from source mode to visual mode while in a section is currently impossible on desktop (T117716), and may require some work on RESTBase to implement this. As mobile always uses section editing in source mode, this means there is currently no easy way to switch from source mode to visual mode.

Change 500981 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Allow a data promise to be passed to wikitext editor

https://gerrit.wikimedia.org/r/500981

Change 500982 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Allow switching from mobile visual to mobile source mode with data

https://gerrit.wikimedia.org/r/500982

The patches merged so far implement switching from visual to wikitext, but not in the other direction – looks like that is covered by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MobileFrontend/+/503670.

Change 503670 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] Allow wikitext content to be passed to VisualEditor

https://gerrit.wikimedia.org/r/503670

Change 503670 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Allow wikitext content to be passed to VisualEditor

https://gerrit.wikimedia.org/r/503670

(All subtasks are fixed, and in QA or product review)

matmarex moved this task from Inbox to High Priority on the Editing QA board.Jun 12 2019, 4:13 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
Ryasmeen removed a project: Editing QA.

@ppelberg this task is just waiting for PM Resolution and is one of our usability improvements

ppelberg closed this task as Resolved.Jul 11 2019, 4:04 AM